QRLS(1)

NAME
qrls - release Grid Engine Enterprise Edition jobs from previous hold states

SYNTAX
qrls [ -h {u|o|s},... ] [ -help ] [ job/task_id_list ]

qrls [ -h {u|o|s},... ] [ -help ] -u user_list | -uall

DESCRIPTION
Qrls provides a means for a user/operator/manager to release so called holds from one or more jobs pending to be scheduled for execution. As long as any type of hold is assigned to a job, the job is not eligible for scheduling.

Holds can be assigned to jobs with the or the command.

There are three different types of holds:

user
    User holds can be assigned and removed by managers, operators and the owner of the jobs.

operator
    Operator holds can be assigned and removed by managers and operators.

system
    System holds can be assigned and removed by managers only.

If no hold type is specified with the -h option (see below) the user hold is assumed by default.

An alternate way to release holds is the command (see the -h option).

OPTIONS

-h {u|o|s},...
    Releases a u(ser), o(perator) or s(system) hold or a combination thereof from one or more jobs.

-help
    Prints a listing of all options.

-u username,... | -uall
    Modifies the hold state of those jobs which were submitted by users specified in the list of usernames. For managers it is possible to use the qrls -uall command to modify the hold state for jobs of all users.

    If you use the -u or -uall switch it is be permitted to specify an additional job/task_id_list.

job/task_id_list
    Specified by the following form:

        job_id[.task_range][,job_id[.task_range],...]

    If present, the task_range restricts the effect of the operation to the array job task range specified as suffix to the job id (see the -t option to for further details on array jobs).

    The task range specifier has the form n[-m[:s]]. The range may be a single number, a simple range of the form n-m or a range with a step size.

    Instead of job/task_id_list it is possible to use the keyword 'all' to modify all jobs of the current user.

ENVIRONMENTAL VARIABLES

SGE_ROOT
    Specifies the location of the Grid Engine Enterprise Edition standard configuration files.

SGE_CELL
    If set, specifies the default Grid Engine Enterprise Edition cell. To address a Grid Engine Enterprise Edition cell qrls uses (in the order of precedence):

        The name of the cell specified in the environment variable SGE_CELL, if it is set.

        The name of the default cell, i.e. default.

SGE_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition the level of detail in which debug information is generated is defined.

COMMD_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry instead to define that port.

COMMD_HOST
    If set, specifies the host on which the particular to be used for Grid Engine Enterprise Edition communication of the qrls client resides. Per default the local host is used.

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.